de.dhbwstuttgart.logger

## Class Logger

- java.lang.Object
- - de.dhbwstuttgart.logger.Logger

-     public class Logger
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.HashMap<Section,java.util.logging.Logger>` | `logger`
    `private static java.util.HashMap<java.lang.String,Logger>` | `LOGGER_DIRECTORY`
    `private java.lang.String` | `name`
    `private static LoggerConfiguration` | `standardConfiguration`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Logger(java.lang.String name, LoggerConfiguration config)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.String message, Section section)` Logt eine Debug Message, welche zusÃ¤tzlich einer bestimmten Section zugewiesen wird.
    `void` | `error(java.lang.String message, Section s)`
    `static Logger` | `getLogger(java.lang.String name)` Liefert den Logger mit dem angegebenen Namen.
    `static SectionLogger` | `getSectionLogger(java.lang.String name, Section s)`
    `void` | `info(java.lang.String message, Section s)`
    `protected void` | `output(java.lang.String msg, java.util.logging.Level logLevel, Section section)`
    `static void` | `setStandardConfiguration(LoggerConfiguration config)` wird hier null Ã¼bergeben, so wird sÃ¤mtliches Logging unterdrÃ¼ckt.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### standardConfiguration

          private static LoggerConfiguration standardConfiguration

    - #### LOGGER_DIRECTORY

          private static final java.util.HashMap<java.lang.String,Logger> LOGGER_DIRECTORY

    - #### name

          private java.lang.String name

    - #### logger

          private final java.util.HashMap<Section,java.util.logging.Logger> logger

  - ### Constructor Detail

    - #### Logger

          protected Logger(java.lang.String name,
                           LoggerConfiguration config)

  - ### Method Detail

    - #### debug

          public void debug(java.lang.String message,
                            Section section)

      Logt eine Debug Message, welche zusÃ¤tzlich einer bestimmten Section zugewiesen wird. Dadurch lÃ¤sst sich die DEBUG ausgabe Ã¼bersichtlicher gestalten.
      Parameters:
        `message` -
        `section` -

    - #### getLogger

          public static Logger getLogger(java.lang.String name)

      Liefert den Logger mit dem angegebenen Namen. Ãblicherweise wird diese Methode mit dem Namen der Klasse aufgerufen, in welcher der Logger tÃ¤tig ist.
      Parameters:
        `name` - - Name der Klasse ( Ermittelbar mittels .class.getName() )
      Returns:

    - #### getSectionLogger

          public static SectionLogger getSectionLogger(java.lang.String name,
                                                       Section s)

    - #### output

          protected void output(java.lang.String msg,
                                java.util.logging.Level logLevel,
                                Section section)

    - #### info

          public void info(java.lang.String message,
                           Section s)

    - #### error

          public void error(java.lang.String message,
                            Section s)

    - #### setStandardConfiguration

          public static void setStandardConfiguration(LoggerConfiguration config)

      wird hier null Ã¼bergeben, so wird sÃ¤mtliches Logging unterdrÃ¼ckt.